#
# spec file for package kopieckreta
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define unmangled_version 0.230924-3
Name:           kopieckreta
Version:		0.230924
Release:        3
Summary:    	My version of the Pyramid of Words
License:        GPL
URL:            https://pietraszczyk.smallhost.pl
Source0:	%{name}-%{unmangled_version}.tar.gz
%if 0%{?suse_version}==1530
BuildRequires:	java-11-openjdk, ant
Requires:       java-11-openjdk
%else
BuildRequires:	java-11-openjdk, ant
Requires:		java-11-openjdk
%endif
BuildArch:	noarch

%description


%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
ant compile
ant jar

%install
mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}/usr/games
mkdir -p %{buildroot}/usr/share
mkdir -p %{buildroot}/usr/share/kopieckreta
mkdir -p %{buildroot}/usr/share/kopieckreta/icons
mkdir -p %{buildroot}/usr/share/applications

#%make_install

install -m 0644 build/jar/KopiecKreta.jar %{buildroot}/usr/games
install -m 0644 kopieckreta.png %{buildroot}/usr/share/kopieckreta/icons
install -m 0644 KopiecKreta.desktop %{buildroot}/usr/share/applications

%files
%defattr(0755,root,root)
/usr/games/
%{_datadir}/kopieckreta
%defattr(0644,root,root)
/usr/games/KopiecKreta.jar
%{_datadir}/kopieckreta/icons/kopieckreta.png
%{_datadir}/applications/KopiecKreta.desktop

%changelog
